# 创建任务发布框
为任务中心头部tab下拉。
## 安装
npm i italent-task-tab-title -S
## 前提
    1 里头还有自己维护的图标，所以需要引入 @beisen/pb-svg/icomoon/style.css；
    
## 使用
```
import React, {Component} from 'react';
import Title from '../../src/index.js'
import '@beisen/pb-svg/icomoon/style.css';

export default class Demo extends Component{

  handleTabSelect=(tabId)=>{
    console.log(tabId)
  }

  handleDropSelect=(dropId,tabId)=>{
    console.log(dropId,tabId)
  }

  render(){
    const tabTitle=[{ 
      id:0,
      color: '#4F73FF',
      bgIcon:'font-task-title-tab1',
      titleText:'任务',
      selected:true,
      dropDownItems:[
        {
            id:0,
            title:'我负责的',
            selected:true,
        },{
            id:1,
            title:'我派发的',
            selected:false
        },{
            id:2,
            title:'我参与的',
            selected:false
        },{
            id:3,
            title:'全部任务',
            selected:false
        },{
            id:4,
            title:'我完成的',
            selected:false
        }
      ]
      },{
        id:1,
        selected:false,
        color:'#0CC991',//icon背景图
        bgIcon:'font-task-title-tab2',
        titleText:'任务追踪',
        dropDownItems:[]
      }
    ]
    return <Title data={tabTitle} onTabSelect={this.handleTabSelect} onDropSelect={this.handleDropSelect}/>
  }
}

```

## 参数
```
data:一堆默认值；
onTabSelect:tab选择的回调；
onDropSelect:下拉选择的回调

有了window.BSGlobal的loginUserInfo之后，以上参数都是可选参数。

```