import styled, { keyframes, css } from "styled-components";
var Font1 =
/*#__PURE__*/
css(["font-family:\"PingFangSC-Medium\",\"Microsoft YaHei\";"]);
var Font2 =
/*#__PURE__*/
css(["font-family:\"PingFangSC-Regular\",\"Microsoft YaHei\";"]);
var Clickable =
/*#__PURE__*/
css(["cursor:pointer;"]);
var CommonIcon =
/*#__PURE__*/
css(["width:30px;height:30px;"]);
var CommonAbsoluteInit =
/*#__PURE__*/
css(["top:0px;left:0px;position:absolute;"]);
var overFlowPoint =
/*#__PURE__*/
css(["overflow:hidden;text-overflow:ellipsis;white-space:nowrap;"]); //超出打点样式

var TabTitleWrap =
/*#__PURE__*/
styled.div(["height:33px;display:", ";width:100%;"], function (p) {
  return p.show ? 'inline-block' : 'none';
});
var underLines =
/*#__PURE__*/
keyframes(["from{display:none;}to{display:inline-block;}"]);
var TabIcon =
/*#__PURE__*/
styled.span(["", "  ", " display:inline-block;border-radius:50%;color:#fff;margin-right:8px;vertical-align:top;position:relative;background-color:", ";font-size:16px;text-align:center;line-height:33px;overflow:hidden;:before{line-height:30px;}:after{content:' ';", " ", " background-color:rgba(255,255,255,0.3);}"], CommonIcon, Clickable, function (props) {
  return props.color;
}, CommonIcon, CommonAbsoluteInit);
var TabAvatarIcon =
/*#__PURE__*/
styled.span(["display:inline-block;vertical-align:top;width:30px;height:30px;margin-right:8px;"]);
var TitleTabItem =
/*#__PURE__*/
styled.span(["", " height:100%;display:inline-block;position:relative;line-height:24px;margin-right:12px;:hover{", "{:after{display:none;}}}.italent-task-tab-icon{&:after{display:", ";}}.italent-task-tab-name{", " color:#106ECC;}.italent-task-tab-triangle{cursor:", ";color:#106ECC;}"], Clickable, TabIcon, function (props) {
  return props.selected ? 'none' : 'inline-block';
}, function (props) {
  return props.selected ? Font1 : Font2;
}, function (props) {
  return props.selected ? 'pointer' : 'default';
});
var TabName =
/*#__PURE__*/
styled.span.attrs({
  className: 'italent-task-tab-name'
})(["display:inline-block;vertical-align:top;margin-top:3px;font-size:16px;line-height:24px;", " position:relative;height:30px;:after{content:' ';width:60px;height:2px;display:", ";position:absolute;left:calc(50% - 30px);bottom:0px;background-color:#106ECC;border-radius:1px;animation:", " 0s ease-in 0.25s;}"], Clickable, function (props) {
  return props.selected ? 'inline-block' : 'none';
}, underLines);
var Name =
/*#__PURE__*/
styled.span(["display:inline-block;max-width:146px;text-align:bottom;font-size:16px;"]);
var TabOtherName =
/*#__PURE__*/
styled.span(["display:inline-block;max-width:64px;", ""], overFlowPoint);
var TabRestTitle =
/*#__PURE__*/
styled.span(["display:inline-block;vertical-align:top;"]);
var TabTriangle =
/*#__PURE__*/
styled.span.attrs({
  className: function className(props) {
    return props.bgIcon + ' italent-task-tab-triangle';
  }
})(["padding:4px;font-size:12px;display:", ";vertical-align:middle;position:relative;:before{transform:scale(0.5);display:inline-block;}"], function (props) {
  return props.show ? 'inline-block' : 'none';
});
var TabDrop =
/*#__PURE__*/
styled.span(["position:absolute;width:170px;display:", ";background:#FFFFFF;box-shadow:0 0 8px 0 rgba(0,0,0,0.08);border-radius:3px;", " font-size:14px;color:#0E1114;top:calc( 100% + 4px );line-height:20px;padding:4px 0px;box-sizing:border-box;z-index:999;"], function (props) {
  return props.show ? 'block' : 'none';
}, Font2);
var TabDropItem =
/*#__PURE__*/
styled.div(["padding:0 10px;height:32px;line-height:32px;background-color:", ";color:", ";", ":hover{color:#106ECC;background-color:rgba(133,194,255,0.1);}", " max-width:150px;"], function (props) {
  return props.selected ? 'rgba(133,194,255,0.1)' : '#fff';
}, function (props) {
  return props.selected ? '#106ECC' : '#0E1114';
}, Clickable, overFlowPoint);
var TabItemRight =
/*#__PURE__*/
styled.span(["display:inline-block;vertical-align:middle;height:33px;"]);
var TabContain =
/*#__PURE__*/
styled.span([""]);
export { TabTitleWrap, TitleTabItem, TabIcon, TabName, Name, TabOtherName, TabRestTitle, TabTriangle, TabDrop, TabDropItem, TabContain, TabItemRight, TabAvatarIcon };