import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/inherits";
import * as React from 'react';
import TabItem from './tabItem';
import { TabTitleWrap } from './style';
import './icon/italent-task-tab-title/style.css'; // for 20

var TitleDropDown =
/*#__PURE__*/
function (_React$Component) {
  _inherits(TitleDropDown, _React$Component);

  function TitleDropDown(p) {
    var _this;

    _classCallCheck(this, TitleDropDown);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(TitleDropDown).call(this, p));

    _this.handleSelectTab = function (id) {
      var tabTitle = _this.state.tabTitle;
      tabTitle.map(function (tab) {
        tab.selected = tab.id == id;
      });

      _this.setState({
        tabTitle: tabTitle
      });

      _this.props.onTabSelect(id);
    };

    _this.handleSelectDrop = function (dropId, tabId) {
      var tabTitle = _this.state.tabTitle;
      tabTitle.map(function (tab) {
        if (tab.id == tabId) {
          tab.dropDownItems.map(function (dropItem) {
            dropItem.selected = dropItem.id == dropId;
          });
        }
      });

      _this.props.onDropSelect(dropId, tabId);
    };

    _this.state = {
      tabTitle: p.data
    };
    return _this;
  }

  _createClass(TitleDropDown, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      var _this$props = this.props,
          data = _this$props.data,
          show = _this$props.show;
      return React.createElement(TabTitleWrap, {
        show: show
      }, data && data.length && data.map(function (tab, index) {
        return React.createElement(TabItem, {
          data: tab,
          index: index,
          onSelectDrop: _this2.handleSelectDrop,
          onSelectTab: _this2.handleSelectTab,
          key: "IT-title-tab-".concat(index)
        });
      }));
    }
  }]);

  return TitleDropDown;
}(React.Component); // trigger ci


export { TitleDropDown as default };